## org.klomp.snark
Class TrackerInfo

    java.lang.Object
      org.klomp.snark.TrackerInfo

    public class TrackerInfo

extends java.lang.Object

Constructor Summary
`TrackerInfo(BDecoder be, byte[] my_id, MetaInfo metainfo)`
`TrackerInfo(java.io.InputStream in, byte[] my_id, MetaInfo metainfo)`
`TrackerInfo(java.util.Map m, byte[] my_id, MetaInfo metainfo)`

Method Summary
`java.lang.String` `getFailureReason()`
`int` `getInterval()`
`int` `getPeerCount()`
`java.util.Set` `getPeers()`
`static java.util.Set` `getPeers(BDecoder be, byte[] my_id, MetaInfo metainfo)`
`static java.util.Set` `getPeers(java.io.InputStream in, byte[] my_id, MetaInfo metainfo)`
`static java.util.Set` `getPeers(java.util.List l, byte[] my_id, MetaInfo metainfo)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrackerInfo

    public TrackerInfo(java.io.InputStream in,
                       byte[] my_id,
                       MetaInfo metainfo)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### TrackerInfo

    public TrackerInfo(BDecoder be,
                       byte[] my_id,
                       MetaInfo metainfo)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### TrackerInfo

    public TrackerInfo(java.util.Map m,
                       byte[] my_id,
                       MetaInfo metainfo)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPeers

    public static java.util.Set getPeers(java.io.InputStream in,
                                         byte[] my_id,
                                         MetaInfo metainfo)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPeers

    public static java.util.Set getPeers(BDecoder be,
                                         byte[] my_id,
                                         MetaInfo metainfo)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPeers

    public static java.util.Set getPeers(java.util.List l,
                                         byte[] my_id,
                                         MetaInfo metainfo)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPeers

    public java.util.Set getPeers()

### getPeerCount

    public int getPeerCount()

### getFailureReason

    public java.lang.String getFailureReason()

### getInterval

    public int getInterval()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`